const path = require('path');

var config = {
  output: {   
    filename: "[name].js", 
    libraryTarget: "umd"
  },

  module: {
    rules: [ 
      {
        test: /\.js$/,
        exclude: /node_modules/,
        loader: 'babel-loader',
      },
    ],
  },
};

var PluginsConfig = Object.assign({}, {
  output: {
    path: path.resolve(__dirname, 'dist/plugins'),
  }, 
});

var Censor = Object.assign({}, config, {
  name: "Censor",
  output: {
    library: 'Censor',
    globalObject: 'this',
    filename: "Censor.js", 
  }, 
});

var PurifyRuCensor = Object.assign({}, PluginsConfig, {
  entry: "./src/plugins/PurifyRuCensor.js", 
  output: {
    filename: "PurifyRuCensor.js", 
  },
});
var NumbersSayCensor = Object.assign({}, PluginsConfig, {
  entry: "./src/plugins/NumbersSayCensor.js", 
  output: {
    filename: "NumbersSayCensor.js", 
  },
});

module.exports = [
  Censor,
  PurifyRuCensor,
  NumbersSayCensor,
];